Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 701454 - dev-python/astropy & revdeps: removal
Summary: dev-python/astropy & revdeps: removal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2019-12-29
Assignee: Sci Astronomy Herd
URL:
Whiteboard:
Keywords: PMASKED, PullRequest
Depends on:
Blocks:
 
Reported: 2019-11-29 08:02 UTC by Michał Górny
Modified: 2019-12-28 17:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-11-29 08:02:35 UTC
# Michał Górny <mgorny@gentoo.org> (2019-11-29)
# Astronomy-related Python packages and their revdeps.  They are
# unmaintained.  Most of them are outdated.  None of them were tested
# on Python 3.7, some even on 3.6.  The leaf packages are 2.7-only.
# All of them depend on astropy which has an unconditional dependency
# on ipython, which in turn dropped py2 support.
dev-python/aplpy
dev-python/asdf
dev-python/astlib
dev-python/astrodendro
dev-python/astroml-addons
dev-python/astroml
dev-python/astroplan
dev-python/astropy-helpers
dev-python/astropy
dev-python/astroquery
dev-python/astroscrappy
dev-python/atpy
dev-python/ccdproc
dev-python/gammapy
dev-python/ginga
dev-python/glue-vispy-viewers
dev-python/glueviz
dev-python/gwcs
dev-python/healpy
dev-python/imexam
dev-python/montage-wrapper
dev-python/naima
dev-python/photutils
dev-python/pyavm
dev-python/pydl
dev-python/pyfits
dev-python/pymoc
dev-python/pyregion
dev-python/regions
dev-python/reproject
dev-python/spectral-cube
dev-python/specutils
dev-python/stsci-distutils
dev-python/stsci-sphinxext
dev-python/sunpy
dev-python/wcsaxes
sci-astronomy/astrometry
sci-astronomy/kapteyn
Comment 1 Nathaniel 2019-11-30 19:08:34 UTC
I just saw this warning pop up today and I think that it's a little bit premature.  For example, Astropy 1.3.3 might have old requirements on python, but the current version is actually 3.1 which requires Python 3.5 or later.  APLpy is at version 2.something rather than the 1.1.1 in portage.

Rather than dropping them from portage, I think they really just need a new maintainer since there are new versions of many of these packages.  (Some, like stsci-distutils do seem to have been abandoned however...)

Part of the problem seems to be the fact that astronomy seems to be moving to anaconda to install all these programs.

If someone would be willing to help point me in the right direction, I could probably help maintain some of these packages and filter out the ones that really are out of date.
Comment 2 David 2019-12-11 19:57:16 UTC
Some time ago I did some work to update astropy packages and some other astronomy packages. See PR #13520 and #13490 for example.

I don't have too much time nowadays but I'm willing to help as a co-maintainer.
Comment 3 register+gentoo 2019-12-17 23:10:47 UTC
According to python3statement.org, all 3.x and higher versions of astropy only support python 3. I would be willing to maintain astrometry, as I use it myself. According to their github issues python3 should be supported for a while now, so their current version should work. Is the way to do this to just open pull requests which update these packages on github?
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-12-18 04:52:16 UTC
Yes.
Comment 5 James Bates 2019-12-20 17:32:27 UTC
I'd like to confirm current sci-astronomy/astrometry-0.72  works fine with python 3.6.

Try as I might, I can't get PYTHON_TARGETS="python3_7" to activate on my system. It seems like Gentoo completely, totally disabled Python 3.7. Therefore, I can't test astrometry with Python 3.7, until someone at Gentoo unblocks it.